Subject: Fwd: snmpconf Schedule Requirements

From: Randy Presuhn <[email-masked]>
Date: Thu, 14 Sep 2000 14:41:28 -0700 (PDT)

Hi -

I'm forwarding a post from [email-masked]
regarding the snmpconf schedule requirements.  I've added
[email-masked] to the disman list's "posters" list
so that his subsequent posts from that address don't bounce.

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id NAA22994
> 	for <[email-masked]>; Thu, 14 Sep 2000 13:59:40 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.8.6) with SMTP id e8EKxXM03211
> 	for <[email-masked]>; Thu, 14 Sep 2000 15:59:34 -0500 (CDT)
> Received: from riverstonenet.com by riverstonenet.com (8.8.8+Sun/SMI-SVR4-Yago)
> 	id NAA23468; Thu, 14 Sep 2000 13:57:12 -0700 (PDT)
> Message-ID: <[email-masked]>
> Date: Thu, 14 Sep 2000 14:13:43 -0500
> From: Thippanna Hongal <[email-masked]>
> Organization: Riverstone Network Inc.
> X-Mailer: Mozilla 4.7 [en] (WinNT; I)
> X-Accept-Language: en,Kannada
> MIME-Version: 1.0
> To: snmpconf <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Subject: snmpconf Schedule Requirements
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
> 
> 
> hi all
> 
> Here is the list of requirement I did compile
> to associate time with the policies.
> thanks
> hongal
> 
> Riverstone Networks Inc,. Santa Clara  CA, U.S.A
> ----------------------------------------------------------
> SNMP Policy Configuration Schedule Requirements.
> 
> I. Schedule policy execution based on specific start times and running
> to
> completion. (believe current Schedule MIB does this for us  )
> 
> II. Schedule policy to be active for a duration and then end based on
> filter
> or action conditions or duration expiration. It is the duration
> expiration
> that is problematic for the Schedule MIB Module.
> 
> Here follows what we need, so that we can achieve it using and
> AUGMENTing
> schedule MIB..
> 
> 
> 1. The AUGMENTation required for schedule mib of rfc 2591,
>      to support start and end time of day.
> 
>    Requirement a: A field which will say the start time and end time.
>       The time can use HHMMSS:HHMMSS with the first part
>       of time representing the start time and the last part
>       representing the end time.
> 
>       Syntax:
>       1. The syntax can be HHMMSS:HHMMSS
>       2. we can use the 'TIME' convention defined in rfc2445.txt
>       3. TDB
> 
>       The current schedHour and schedMinute fields are  masks
>       and will permit multiple hours and times and leads to
>       confusion to use for this purpose.
> 
> 
>       Field   'schedTimeOfDay' with
>       syntax for string format : HHMMSS:HHMMSS
> 
> 
>        Requirement b: A field which will specify the overall Date and
> Time
>        during which the policy is valid. Its basically a
>        range of calendar Date and Time
> 
> 
>       The further details on syntax: TDB
>       Syntax:
>       1.  This filed can take a syntax of
> 'yyyymmddThhmmss/yyyymmddThhmmss'
>       2. we can use the 'DATE-TIME' convention defined in rfc2445.txt
>       3. TDB
> 
>       Field  'schedValidDate'
> 
>       Requirement  c: A field which will distinguish the time
>        specified is local time or UTC time.
> 
>       The field can take enumerated numbers  like,  localTime(1),
> utcTime(2).
>       Essentially I propose a field  'schedTimeType'
> 
>      Requirement d: Since we have two events, one is the start and
> another is end
>                         clearly specified in the schedTimeOfDay, we have
> to specify
>                        what is the 'schedValue' to be set during 'start'
> and during 'end' times.
> 
>     schedStartValue INTEGER
>     schedEndValue  INTEGER
> 
>     More Details:TDB
> 
>     Requirement e:  'schedType'  :
>     We need a new schedule type :    schedType = policy(4)
> 
>      This type of schedule specifies that the schedule is of 'level
> trigger' type,
>      meaning it has both start time and end time, and their respective
> value to
>      set.
> 
> 
>     The objects schedValue,
>                        schedHour and
>                        schedMinute
>      are not used when the  schedType == 'policy'.
> 
>     Instead  the new objects
>                 schedTimeOfDay,
>                 schedValidDate,
>                 schedTimeType,
>                 schedStartValue,
>                 schedEndValue
>     are used.
> 
>     Requirement f:  schedType = policyDuration(5)
> 
>     This new type is required to schedule policies based on duration.
> 
>     The schedInterval  is the existing field in the schedule mib which
>     represents the duration in seconds,
> 
>      Objects that are not used
>     calendar objects:
> (schedHour,schedMinute,schedMonth,schedWeekDay,schedDay)
>     schedValue
> 
>     Object that are new and used
>     schedStartValue
>     schedEndValue
>     schedInterval
> 
>     This is one time operation, which starts when the policy is enabled
>     and continues to be in the enabled state until the end of the
> duration specified.
> 
> 
> 2.  To put everything together
> 
>      the AUGMENTed table has to have
>                      schedTimeOfDay
>                      schedValidDate
>                      schedTimeType
>                      schedStartValue
>                      schedEndValue
> 
>      with additional schedType{policy(4),policy-periodic(5)},
>      and more descriptions on how it works.
> 
>  3. With this proposal
>     we can do a complex scheduling where we can specify the overall date
> and time
>     with exact TimeOfDay at which policy has to start and end. With
>     masks schedMonth,schedWeekDay,schedDay for sched MIB which allows
> multiple
>     entries in it.
> 
>      We can do a schedule for example  : ' 7days and 4 weeks'
>      Having said this, we have all the advanced features the scheduler
> MIB has.
> 
> 
>  4. This model is similar to Policy Framework Group model of
>      policyTimePeriodConditionAuxClass, except for the policyDuration
> type or schedule.
> 
> 
>  END
> 
>